QGIS Application - Bug report #4084
Focus is lost when doing searching in the table
2011-07-14 05:23 AM - Maxim Dubinin

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version: Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 14067
Description

I'm not sure if this is a bug.

When doing searching in the table, entering smth in the Look for field, select a field and hit Search, the data area is loosing focus and
result of the selection wich is supposed to be visible is completely unnoticeable (very light gray). One will need to click again somewhere
in the data, but not on the records to see the result of the selection.

This might be Win problem as it is not confirmed under Linux.

Example (after searching)

http://gis-lab.info/images/screenshots/20110714-u41-42kb.jpg

Example (after additional click)
http://gis-lab.info/images/screenshots/20110714-5s2-45kb.jpg

Associated revisions

Revision deb91b25 - 2011-07-15 04:30 PM - Jiirgen Fischer

fix #4084

History

#1 - 2011-07-17 01:55 AM - Alexander Bruy
- Resolution set to fixed
- Status changed from Open to Closed

Fixed in commit:deb91b2540b12799d11a63398833b583676278f2
